Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/LocationService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\Content\LocationUpdateStruct;
10 use eZ\Publish\API\Repository\Values\Content\LocationCreateStruct;
11 use eZ\Publish\API\Repository\Values\Content\ContentInfo;
12 use eZ\Publish\API\Repository\Values\Content\Location;
13 use eZ\Publish\API\Repository\Values\Content\VersionInfo;
14
20 interface LocationService
21 {
36 public function copySubtree(Location $subtree, Location $targetParentLocation);
37
50 public function loadLocation($locationId, array $prioritizedLanguages = null, bool $useAlwaysAvailable = null);
51
63 public function loadLocationList(array $locationIds, array $prioritizedLanguages = null, bool $useAlwaysAvailable = null): iterable;
64
77 public function loadLocationByRemoteId($remoteId, array $prioritizedLanguages = null, bool $useAlwaysAvailable = null);
78
93 public function loadLocations(ContentInfo $contentInfo, Location $rootLocation = null, array $prioritizedLanguages = null);
94
105 public function loadLocationChildren(Location $location, $offset = 0, $limit = 25, array $prioritizedLanguages = null);
106
115 public function loadParentLocationsForDraftContent(VersionInfo $versionInfo, array $prioritizedLanguages = null);
116
124 public function getLocationChildCount(Location $location);
125
139 public function createLocation(ContentInfo $contentInfo, LocationCreateStruct $locationCreateStruct);
140
152 public function updateLocation(Location $location, LocationUpdateStruct $locationUpdateStruct);
153
162 public function swapLocation(Location $location1, Location $location2);
163
173 public function hideLocation(Location $location);
174
187 public function unhideLocation(Location $location);
188
204 public function moveSubtree(Location $location, Location $newParentLocation);
205
213 public function deleteLocation(Location $location);
214
222 public function newLocationCreateStruct($parentLocationId);
223
229 public function newLocationUpdateStruct();
230
238 public function getAllLocationsCount(): int;
239
248 public function loadAllLocations(int $offset = 0, int $limit = 25): array;
249 }
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\LocationCreateStruct
This class is used to create a new Location for a content object.
Definition: API/Repository/Values/Content/LocationCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\LocationUpdateStruct
This class is used for updating location meta data.
Definition: API/Repository/Values/Content/LocationUpdateStruct.php:15
eZ\Publish\API\Repository\Values\Content\Location
Definition: API/Repository/Values/Content/Location.php:32
eZ\Publish\API\Repository\Values\Content\VersionInfo
Definition: API/Repository/Values/Content/VersionInfo.php:27
eZ\Publish\API\Repository\LocationService
Definition: API/Repository/LocationService.php:21
eZ\Publish\API\Repository\LocationService\deleteLocation
deleteLocation(Location $location)
Deletes $location and all its descendants.
eZ\Publish\API\Repository\LocationService\loadLocationByRemoteId
loadLocationByRemoteId($remoteId, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null)
Loads a location object from its $remoteId.
eZ\Publish\API\Repository\LocationService\hideLocation
hideLocation(Location $location)
Hides the $location and marks invisible all descendants of $location.
eZ\Publish\API\Repository\LocationService\createLocation
createLocation(ContentInfo $contentInfo, LocationCreateStruct $locationCreateStruct)
Creates the new $location in the content repository for the given content.
eZ\Publish\API\Repository\LocationService\updateLocation
updateLocation(Location $location, LocationUpdateStruct $locationUpdateStruct)
Updates $location in the content repository.
eZ\Publish\API\Repository\LocationService\loadLocations
loadLocations(ContentInfo $contentInfo, Location $rootLocation=null, array $prioritizedLanguages=null)
Loads the locations for the given content object.
eZ\Publish\API\Repository\LocationService\loadLocationChildren
loadLocationChildren(Location $location, $offset=0, $limit=25, array $prioritizedLanguages=null)
Loads children which are readable by the current user of a location object sorted by sortField and so...
eZ\Publish\API\Repository\LocationService\getAllLocationsCount
getAllLocationsCount()
Get the total number of all existing Locations.
eZ\Publish\API\Repository\LocationService\moveSubtree
moveSubtree(Location $location, Location $newParentLocation)
Moves the subtree to $newParentLocation.
eZ\Publish\API\Repository\LocationService\newLocationCreateStruct
newLocationCreateStruct($parentLocationId)
Instantiates a new location create class.
eZ\Publish\API\Repository\LocationService\copySubtree
copySubtree(Location $subtree, Location $targetParentLocation)
Copies the subtree starting from $subtree as a new subtree of $targetLocation.
eZ\Publish\API\Repository\LocationService\newLocationUpdateStruct
newLocationUpdateStruct()
Instantiates a new location update class.
eZ\Publish\API\Repository\LocationService\loadAllLocations
loadAllLocations(int $offset=0, int $limit=25)
Bulk-load all existing Locations, constrained by $limit and $offset to paginate results.
eZ\Publish\API\Repository\LocationService\loadLocation
loadLocation($locationId, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null)
Loads a location object from its $locationId.
eZ\Publish\API\Repository\LocationService\loadLocationList
loadLocationList(array $locationIds, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null)
Loads several location objects from its $locationIds.
eZ\Publish\API\Repository\LocationService\getLocationChildCount
getLocationChildCount(Location $location)
Returns the number of children which are readable by the current user of a location object.
eZ\Publish\API\Repository\LocationService\unhideLocation
unhideLocation(Location $location)
Unhides the $location.
eZ\Publish\API\Repository\LocationService\swapLocation
swapLocation(Location $location1, Location $location2)
Swaps the contents held by $location1 and $location2.
eZ\Publish\API\Repository\LocationService\loadParentLocationsForDraftContent
loadParentLocationsForDraftContent(VersionInfo $versionInfo, array $prioritizedLanguages=null)
Load parent Locations for Content Draft.
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.